Bug 1125938 - ipython: insecure loading of the MathJax library [fedora-all]
Summary: ipython: insecure loading of the MathJax library [fedora-all]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipython
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_ping=1
Depends On:
Blocks: 1125937
TreeView+ depends on / blocked
 
Reported: 2014-08-01 11:34 UTC by Martin Prpič
Modified: 2014-12-12 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-12 16:10:56 UTC


Attachments (Terms of Use)

Description Martin Prpič 2014-08-01 11:34:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2014-08-01 11:34:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1125937,1125938

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1125937,1125938

Comment 2 pjp 2014-12-03 18:29:31 UTC
Hello tomspur,

Could you please fix this soon?

Comment 3 Thomas Spura 2014-12-03 18:57:21 UTC
(In reply to pjp from comment #2)
> Could you please fix this soon?

ipython-2.3.0 contains this fix (available on F21+).

F20 does not contain the fix, but doesn't use mathjax from cdn, but the locally installed mathjax already since ipython-2.1.0-5 on:
http://pkgs.fedoraproject.org/cgit/ipython.git/commit/?id=e7691bba2330ebabdaca8ce1c07e9e442e6b7f8c

When you start the notebook you'll see:
2014-12-03 19:55:19.409 [NotebookApp] Serving local MathJax from /usr/share/javascript/mathjax/MathJax.js at /static/mathjax/MathJax.js

So I considered this as "fixed", but didn't close this bug, as I didn't backport this commit from upstream:
https://github.com/ipython/ipython/commit/cf793ebc4f9e8483f104667e4c73748357fa8c56

Comment 4 pjp 2014-12-06 08:54:36 UTC
  Hello Thomas,

Thanks so much for the details. IIUC, F20 is not affected because it does not load the Mathjax library over 'http', instead it uses a local copy. And F21+ is already fixed with the said upstream commit - cf793ebc4f - which always loads Mathjax over 'https', instead of 'http'.

In that case, since there is no pending action on this bug, it'd be better to close it with due comments.

Thank you.

Comment 5 Thomas Spura 2014-12-12 16:10:56 UTC
All ipythons should load the local copy of mathjax.

Closing then.


Note You need to log in before you can comment on or make changes to this bug.